{ config, modulesPath, lib, ... }:
{
  imports = [
    "${modulesPath}/profiles/qemu-guest.nix"
  ];

  config = {
    boot.growPartition = true;
    boot.loader.grub.device = "/dev/vda";

    fileSystems."/boot" = lib.mkDefault { device = "/dev/vda1"; fsType = "vfat"; options=[ "fmask=0022" "dmask=0022" ]; };
    fileSystems."/" = lib.mkDefault { device = "/dev/vda2"; fsType = "ext4"; };

    networking.useNetworkd = true;
  };
}